Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
point_gfp.cpp File Reference
`#include <botan/point_gfp.h>`
`#include <botan/numthry.h>`
`#include <botan/loadstor.h>`
`#include <botan/internal/rounding.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
secure_vector< uint8_t > | Botan::EC2OSP (const PointGFp &point, uint8_t format)
PointGFp | Botan::multi_exponentiate (const PointGFp &p1, const BigInt &z1, const PointGFp &p2, const BigInt &z2)
PointGFp | Botan::operator* (const BigInt &scalar, const PointGFp &point)
PointGFp | Botan::OS2ECP (const uint8_t data[], size_t data_len, const CurveGFp &curve)